<?php
// $Id: bubbletimer.api.inc,v 1.1.2.3 2010/02/06 23:12:12 yorirou Exp $


define('BUBBLETIMER_NODE_ALL', 0);


/**
 * Get total hours of a node.
 * @param integer $nid
 * @return float
 */
function bubbletimer_get_node_total($nid) {
  $db_fetch_object = db_fetch_object(db_query('SELECT SUM(LENGTH(REPLACE(activity, \'0\', \'\'))) / 4 AS total FROM {bubbletimer_activity} WHERE nid = %d;', $nid));
  return $db_fetch_object->total ? $db_fetch_object->total : 0;
}


/**
 * Get total hours of a user (or a of a user and a node).
 * @param integer $uid
 * @param integer $nid || BUBBLETIMER_NODE_ALL
 */
function bubbletimer_get_user_total($uid, $nid = BUBBLETIMER_NODE_ALL) {
  if ($nid != BUBBLETIMER_NODE_ALL && (int)$nid > 0) {
    $db_fetch_object = db_fetch_object(db_query(
            'SELECT SUM(LENGTH(REPLACE(activity, \'0\', \'\'))) / 4 AS total FROM {bubbletimer_activity} WHERE uid = %d AND nid = %d;', $uid, $nid));
  } else {
    $db_fetch_object = db_fetch_object(db_query(
            'SELECT SUM(LENGTH(REPLACE(activity, \'0\', \'\'))) / 4 AS total FROM {bubbletimer_activity} WHERE uid = %d;', $uid));
  }
  return $db_fetch_object->total;
}


/**
 * Get total hours of a node for given month (YYYY-MM).
 * @param integer $nid
 * @param integer $year
 * @param integer $month
 * @return float
 */
function bubbletimer_get_node_total_month($nid, $year, $month) {
  $db_fetch_object = db_fetch_object(db_query(
          'SELECT SUM(LENGTH(REPLACE(activity, \'0\', \'\'))) / 4 AS total FROM {bubbletimer_activity} WHERE nid = %d AND YEAR(date) = %d AND MONTH(date) = %d;',
          $nid, $year, $month));
  return $db_fetch_object->total ? $db_fetch_object->total : 0;
}
