<?php
// $Id: bubbletimer.user.inc,v 1.1.2.1.2.2 2010/02/06 23:12:12 yorirou Exp $


/**
 * @file
 * Bubbletimer user's own settings
 */


/**
 * Form for personal settings
 *  - start time
 *  - end time
 *  - chart types
 * @param array $form_status
 * @return string
 */
function bubbletimer_personal_settings_form($form_status) {
  global $user;

  $decimal_separators = bubbletimer_get_decimal_separator_collection();

  $form['bt_fieldset'] = array(
    '#type' => 'fieldset',
    '#title' => t('Bubbletimer personal settings'),
  );
  $form['bt_fieldset']['bt_ahah'] = array(
    '#title' => t('Enable AHAH loaded bubbletimer on all node pages'),
    '#type' => 'checkbox',
    '#default_value' => variable_get('bubbletimer_ahah_user_'.$user->uid, 1),
  );
  $form['bt_fieldset']['bt_charts'] = array(
    '#type' => 'fieldset',
    '#title' => t('Chart settings'),
    '#collapsible' => TRUE,
  );
  $form['bt_fieldset']['bt_charts']['bt_piechart'] = array(
    '#title' => t('Display pie chart'),
    '#type' => 'checkbox',
    '#default_value' => variable_get('bubbletimer_piechart_user_'. $user->uid, 0),
  );
  $form['bt_fieldset']['bt_charts']['bt_barchart'] = array(
    '#title' => t('Display bar chart'),
    '#type' => 'checkbox',
    '#default_value' => variable_get('bubbletimer_barchart_user_'. $user->uid, 0),
  );
  $form['bt_fieldset']['bt_decimal_separator'] = array(
    '#type' => 'radios',
    '#title' => t('Decimal separator for csv files'),
    '#options' => $decimal_separators,
    '#default_value' => variable_get('bubbletimer_decimal_separator_'. $user->uid, BUBBLETIMER_DOT),
  );
  $form['bt_fieldset']['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save'),
  );

  return $form;
}


/**
 * Implementation of hook_submit() for personal settings form
 * @param array $form
 * @param array $form_state
 */
function bubbletimer_personal_settings_form_submit($form, &$form_state) {
  global $user;

  variable_set('bubbletimer_piechart_user_'. $user->uid, intval($form_state['values']['bt_piechart']));
  variable_set('bubbletimer_barchart_user_'. $user->uid, intval($form_state['values']['bt_barchart']));
  variable_set('bubbletimer_decimal_separator_'. $user->uid, intval($form_state['values']['bt_decimal_separator']));
  variable_set('bubbletimer_ahah_user_'.$user->uid, intval($form_state['values']['bt_ahah']));

  drupal_set_message(t('Your personal settings are saved'));
}

