<?php

/**
 * Helper to implementation of hook_context_default_contexts().
 */
function _bubbletimer_time_management_context_default_contexts() {
  $items = array();

  $items[] = array(
    'namespace' => 'spaces',
    'attribute' => 'feature',
    'value' => 'bubbletimer',
    'description' => 'Bubbletimer - time management',
    'spaces_type' => array(
      '0' => 'user',
    ),
    'path' => array(
      'bubbletimer' => 'bubbletimer',
    ),
    'menu_trail' => array(
      'bubbletimer' => 'bubbletimer',
    ),
    'menu' => 'bubbletimer',
  );
  return $items;
}

/**
 * Helper to implementation of hook_menu_default_items().
 */
function _bubbletimer_time_management_menu_default_items() {
  $items = array();

  $items[] = array(
    'title' => 'Bubbletimer',
    'path' => 'bubbletimer',
    'weight' => '0',
    'description' => 'Bubbletimer',
  );
  // Translatables
  array(
    t('Bubbletimer'),
  );


  return $items;
}

/**
 * Helper to implementation of hook_user_default_permissions().
 */
function _bubbletimer_time_management_user_default_permissions() {
  $permissions = array();

  // Exported permission: administer bubbletimer
  $permissions[] = array(
    'name' => 'administer bubbletimer',
    'roles' => array(
      '0' => 'admin',
      '1' => 'manager',
    ),
  );

  // Exported permission: use any bubbletimer
  $permissions[] = array(
    'name' => 'use any bubbletimer',
    'roles' => array(
      '0' => 'admin',
      '1' => 'manager',
    ),
  );

  // Exported permission: use own bubbletimer
  $permissions[] = array(
    'name' => 'use own bubbletimer',
    'roles' => array(
      '0' => 'admin',
      '1' => 'authenticated user',
      '2' => 'manager',
    ),
  );

  // Exported permission: view any statistics
  $permissions[] = array(
    'name' => 'view any statistics',
    'roles' => array(
      '0' => 'admin',
      '1' => 'manager',
    ),
  );

  // Exported permission: view own statistics
  $permissions[] = array(
    'name' => 'view own statistics',
    'roles' => array(
      '0' => 'admin',
      '1' => 'authenticated user',
      '2' => 'manager',
    ),
  );

  return $permissions;
}
