<?php
// $Id: nodealias.inc,v 1.1.2.1 2010/02/23 15:46:18 yorirou Exp $

/**
 * Returns a list of all nodealiases.
 *
 * @param int $uid
 * @return 
 */
function bubbletimer_nodealias_list($uid) {
  $ret = array();
  $res = db_query('SELECT * FROM {bubbletimer_node_alias} btn JOIN {node} n USING (nid) WHERE btn.uid = %d', $uid);
  while($row = db_fetch_array($res)) {
    $ret []= $row;
  }
  return $ret;
}

/**
 * Fetches a node alias from the database.
 *
 * @param int $uid
 * @param int $nid
 * @return string
 */
function bubbletimer_nodealias_load($uid, $nid) {
  return db_result(db_query('SELECT "alias" FROM {bubbletimer_node_alias} WHERE uid = %d AND nid = %d', $uid, $nid));
}

/**
 * Returns a node id based on the user id and alias.
 *
 * @param int $uid
 * @param string $alias
 * @return int
 */
function bubbletimer_nodealias_load_by_alias($uid, $alias) {
  return db_result(db_query('SELECT nid FROM {bubbletimer_node_alias} WHERE uid = %d AND "alias" = \'%s\'', $uid, $alias));
}

/**
 * Inserts or updates an alias to the database.
 *
 * @param int $uid
 * @param int $nid
 * @param string $alias
 */
function bubbletimer_nodealias_save($uid, $nid, $alias) {
  $cnt = db_result(db_query('SELECT COUNT(*) FROM {bubbletimer_node_alias} WHERE uid = %d AND nid = %d', $uid, $nid));
  if($cnt) {
    db_query('UPDATE {bubbletimer_node_alias} SET "alias" = \'%s\' WHERE uid = %d AND nid = %d', $alias, $uid, $nid);;
  } else {
    db_query('INSERT INTO {bubbletimer_node_alias}(uid, nid, "alias") VALUES(%d, %d, \'%s\')', $uid, $nid, $alias);
  }
}

/**
 * Deletes an alias.
 *
 * @param int $uid
 * @param int $nid
 */
function bubbletimer_nodealias_delete($uid, $nid) {
  db_query('DELETE FROM {bubbletimer_node_alias} WHERE uid = %d AND nid = %d', $uid, $nid);
}